SDL_SetWindowBordered(3)

NAME
SDL_SetWindowBordered - Set the border state of a window.

SYNOPSIS
#include <SDL3/SDL_video.h>

bool SDL_SetWindowBordered(SDL_Window *window, bool bordered);

DESCRIPTION
This will add or remove the window's SDL_WINDOW_BORDERLESS flag and add or remove the border from the actual window. This is a no-op if the window's border already matches the requested state.

You can't change the border state of a fullscreen window.

FUNCTION PARAMETERS

window
    the window of which to change the border state.

bordered
    false to remove border, true to add border.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetWindowFlags(3)